summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.config/bluetuith/bluetuith.conf24
-rwxr-xr-x.config/lf/lfrc2
-rwxr-xr-x.local/bin/rotdir12
3 files changed, 37 insertions, 1 deletions
diff --git a/.config/bluetuith/bluetuith.conf b/.config/bluetuith/bluetuith.conf
new file mode 100644
index 0000000..430c7f2
--- /dev/null
+++ b/.config/bluetuith/bluetuith.conf
@@ -0,0 +1,24 @@
+{
+ adapter: ""
+ adapter-states: ""
+ connect-bdaddr: ""
+ gsm-apn: ""
+ gsm-number: ""
+ receive-dir: /home/master/Downloads
+ keybindings: {
+ Quit: q
+ NavigateLeft: 'h'
+ NavigateDown: 'j'
+ NavigateUp: 'k'
+ NavigateRight: 'l'
+ }
+ theme: {
+ Adapter: cornsilk
+ DeviceConnected: forestgreen
+ DevicePropertyConnected: blue
+ AdapterPowered: navy
+ AdapterNotPowered: firebrick
+ AdapterPairable: navy
+ AdapterScanning: burlywood
+ }
+}
diff --git a/.config/lf/lfrc b/.config/lf/lfrc
index 4b80bb7..20d396e 100755
--- a/.config/lf/lfrc
+++ b/.config/lf/lfrc
@@ -162,5 +162,5 @@ map gsc cd ~/.local/bin
map gcp cd ~/.local/src
map gsx cd ~/.config/sxhkd
map gimg cd ~/Dropbox/A/Personnal/Photos/unsorted
-map gsf cd ~/Dropbox/A/scholar/sherbrooke/s3
+map gsf cd ~/Dropbox/A/scholar/sherbrooke/24-01
map gcmp cd ~/.local/src
diff --git a/.local/bin/rotdir b/.local/bin/rotdir
new file mode 100755
index 0000000..d171f29
--- /dev/null
+++ b/.local/bin/rotdir
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# When I open an image from the file manager in nsxiv (the image viewer), I want
+# to be able to press the next/previous keys to key through the rest of the
+# images in the same directory. This script "rotates" the content of a
+# directory based on the first chosen file, so that if I open the 15th image,
+# if I press next, it will go to the 16th etc. Autistic, I know, but this is
+# one of the reasons that nsxiv is great for being able to read standard input.
+
+[ -z "$1" ] && echo "usage: rotdir regex 2>&1" && exit 1
+base="$(basename "$1")"
+ls "$PWD" | awk -v BASE="$base" 'BEGIN { lines = ""; m = 0; } { if ($0 == BASE) { m = 1; } } { if (!m) { if (lines) { lines = lines"\n"; } lines = lines""$0; } else { print $0; } } END { print lines; }'